/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Mozilla addressbook.
 *
 * The Initial Developer of the Original Code is
 * Pawel Chmielowski <prefiks@o2.pl>
 * Portions created by the Initial Developer are Copyright (C) 2002
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 * Pawel Chmielowski <prefiks@o2.pl>
 *
 * ***** END LICENSE BLOCK ***** */

/**
 * scripts.uiscripts.Alert
 *
 * $Id: alert.js,v 1.3 2003/03/31 11:43:29 prefiks Exp $
 *
 */
function AlertHandler()
{
}

AlertHandler.prototype =
{
    onLoad: function()
    {
        if (window.arguments[0])
            document.getElementById("title").
                setAttribute("value", window.arguments[0]);
        if (window.arguments[1])
            document.getElementById("subtitle").
                setAttribute("value", window.arguments[1]);
        if (window.arguments[2])
            document.getElementById("subtitle").
                setAttribute("class", window.arguments[2]);
        if (window.arguments[3])
            document.getElementById("msg").
                setAttribute("value", window.arguments[3]);
        if (window.arguments[4])
            document.getElementById("img").
                setAttribute("src", window.arguments[4]);
        window.sizeToContent();

        window.moveTo(window.screen.availWidth - window.outerWidth - 10,
            window.screen.availHeight - window.outerHeight);

        this.timeout = setTimeout(this.closeAlert, 2000, this, null);
    },

    closeAlert: function(_this, step)
    {
        if (step == null) {
            _this.closeTimer = setInterval(_this.closeAlert, 10, _this, 2);
            return;
        }
        window.screenY += step;
        window.outerHeight -= step;

        if (window.outerHeight <= 0) {
            clearInterval(_this.closeTimer);
            window.close();
        }
    }
}

window.updateAlert = function(title, subtitle, subtitleclass, msg, img)
{
    alert("update");
        if (title)
            document.getElementById("title").
                setAttribute("value", title);
        if (subtitle)
            document.getElementById("subtitle").
                setAttribute("value", subtitle);
        if (subtitleclass)
            document.getElementById("subtitle").
                setAttribute("class", subtitleclass);
        if (msg)
            document.getElementById("msg").
                setAttribute("value", msg);
        if (img)
            document.getElementById("img").
                setAttribute("src", img);
        window.sizeToContent();

        window.moveTo(window.screen.availWidth - window.outerWidth - 10,
            window.screen.availHeight - window.outerHeight);
}

var alertHandler = new AlertHandler();
